hwlocality_helper_topology_sets(3)

NAME
hwlocality_helper_topology_sets - CPU and node sets of entire topologies

  Functions
static hwloc_const_cpuset_t hwloc_topology_get_complete_cpuset (hwloc_topology_t topology)
static hwloc_const_cpuset_t hwloc_topology_get_topology_cpuset (hwloc_topology_t topology)
static hwloc_const_cpuset_t hwloc_topology_get_online_cpuset (hwloc_topology_t topology)
static hwloc_const_cpuset_t hwloc_topology_get_allowed_cpuset (hwloc_topology_t topology)
static hwloc_const_nodeset_t hwloc_topology_get_complete_nodeset (hwloc_topology_t topology)
static hwloc_const_nodeset_t hwloc_topology_get_topology_nodeset (hwloc_topology_t topology)
static hwloc_const_nodeset_t hwloc_topology_get_allowed_nodeset (hwloc_topology_t topology)

Detailed Description

Function Documentation

  static hwloc_const_cpuset_t hwloc_topology_get_allowed_cpuset (hwloc_topology_t topology) [inline], [static]

Get allowed CPU set.

Returns:
    the CPU set of allowed logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note:
    The returned cpuset is not newly allocated and should thus not be changed or freed, hwloc_bitmap_dup() must be used to obtain a local copy.

  static hwloc_const_nodeset_t hwloc_topology_get_allowed_nodeset (hwloc_topology_t topology) [inline], [static]

Get allowed node set.

Returns:
    the node set of allowed memory of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note:
    The returned nodeset is not newly allocated and should thus not be changed or freed, hwloc_bitmap_dup() must be used to obtain a local copy.

  static hwloc_const_cpuset_t hwloc_topology_get_complete_cpuset (hwloc_topology_t topology) [inline], [static]

Get complete CPU set.

Returns:
    the complete CPU set of logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note:
    The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.

  static hwloc_const_nodeset_t hwloc_topology_get_complete_nodeset (hwloc_topology_t topology) [inline], [static]

Get complete node set.

Returns:
    the complete node set of memory of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note:
    The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.

  static hwloc_const_cpuset_t hwloc_topology_get_online_cpuset (hwloc_topology_t topology) [inline], [static]

Get online CPU set.

Returns:
    the CPU set of online logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note:
    The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.

  static hwloc_const_cpuset_t hwloc_topology_get_topology_cpuset (hwloc_topology_t topology) [inline], [static]

Get topology CPU set.

Returns:
    the CPU set of logical processors of the system for which hwloc provides topology information. This is equivalent to the cpuset of the system object. If the topology is the result of a combination of several systems, NULL is returned.

Note:
    The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.

  static hwloc_const_nodeset_t hwloc_topology_get_topology_nodeset (hwloc_topology_t topology) [inline], [static]

Get topology node set.

Returns:
    the node set of memory of the system for which hwloc provides topology information. This is equivalent to the nodeset of the system object. If the topology is the result of a combination of several systems, NULL is returned.

Note:
    The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.